file_ext_new.c File Reference
`#include "config.h"`
`#include <glib.h>`
`#include "quvi.h"`
`#include "_quvi_s.h"`
`#include "_quvi_file_ext_s.h"`

## Functions

quvi_file_ext_t | quvi_file_ext_new (quvi_t handle, const char *s)
| Convert content-type to file extension.

## Function Documentation

## quvi_file_ext_new()

quvi_file_ext_t quvi_file_ext_new | ( | quvi_t | handle,
|  | const char * | s )

Convert content-type to file extension.

Returns
  New handle, quvi_file_ext_free it when done using it

Note
  - The result is a guess at best and returned by the util/to_file_ext.lua of libquvi-scripts
  - Use quvi_ok for checking if an error occurred

See also
  quvi_file_ext_free